================================================================
 CQA_de: German Community Question Answering Corpus
 Version 1.0: December 25, 2019
================================================================

This file contains basic information about the German CQA corpus
(CQA_de), a corpus automatically extracted from Stackexchange
and Reddit.

The corpus includes 9,300 questions and 51,399 answers. 1,157 
questions come from Stackexchange, the remaining 8,143 questions 
have been extracted from Reddit.

The XML structure for a question and the corresponding answers
is as follows: 

<unit>
<question>...</question>
<answers>
<answer>...</answer>
...
<answer>...</answer>
</answers>
</unit>

The units for questions extracted from Stackexchange have an 
attribute "acceptedanswer" that specifies which of the given 
answers has been selected as the best answer by the person who 
posted the question.

Answers from both sources, Stackexchange and Reddit, have
an attribute "score" that specifies how many users have voted
for this answer.

For details, see the DTD and XML schema files: cqa.dtd, cqa.xsd.


Content of the corpus folder (CQA_de):
.
├── CQA_de.xml 	# the corpus file
├── cqa.dtd	# the DTD for the corpus
├── cqa.xsd	# the xml schema
└── README.md  	# this file


The corpus has been created by Jani Takhsha in the context of her 
master's thesis on Community Question Answering.  The data is 
provided under the terms of the Creative Commons BY-SA 4.0 license 
specified at this URL:

	https://creativecommons.org/licenses/by-sa/4.0/


================================================================
 References
================================================================

Stackexchange:	https://stackexchange.com/

Reddit:		https://www.reddit.com/


@mastersthesis{takhsha2018,
  author       = {Jani Takhsha}, 
  title        = {Community Question Answering: 
		  Creating a Corpus and ranking Online Community Posts 
		  as Answers for Questions},
  school       = {Computational Linguistics, Heidelberg University},
  year         = 2018,
  month	       = 11,
}

